Summary:        System administration tools for monitoring users' disk usage
Name:           quota
Version:        3.17
Release:        %mkrel 10
License:        BSD and GPLv2+
Group:          System/Configuration
URL:            http://sourceforge.net/projects/linuxquota/
Source0:        http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.gz
Patch0:         quota-3.06-warnquota.patch
Patch1:         quota-3.17-no-stripping.patch
Patch2:         quota-3.06-man-page.patch
Patch3:         quota-3.06-pie.patch
Patch4:         quota-3.13-wrong-ports.patch
Patch5:         quota-3.16-helpoption.patch
Patch6:         quota-3.16-quotaoffhelp.patch
Patch7:		quota-3.17-good_data-tcp_wrappers.patch
Patch50:        quota-tools-default-conf.patch
BuildRequires:	autoconf
BuildRequires:  e2fsprogs-devel
BuildRequires:  gettext
BuildRequires:  tcp_wrappers-devel
Requires:       e2fsprogs
Requires:       initscripts >= 6.38
Requires:       tcp_wrappers

%description
The quota package contains system administration tools for monitoring and
limiting users' and or groups' disk usage, per file-system.
Install quota if you want to monitor and/or limit user/group disk usage.

%prep
%setup -q -n quota-tools
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%patch50 -p1 -b .default-conf

#fix typos/mistakes in localized documentation
for pofile in $(find ./po/*.p*)
do
   sed -i 's/editting/editing/' "$pofile"
done

# Fix for perm bug #3053
chmod 755 ldap-scripts/setquota-ldap.pl

%build
%serverbuild

autoheader
aclocal --force
autoconf --force

%configure2_5x \
    --enable-ldapmail=try \
    --with-ext2direct=no

%make

%install
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man2,man3,man8}

make install ROOTDIR=%{buildroot} \
             DEF_BIN_MODE=755 \
             DEF_SBIN_MODE=755 \
             DEF_MAN_MODE=644 \
             STRIP=""

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}

# we don't support XFS yet
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

%find_lang %{name}

%files -f %{name}.lang
%doc Changelog README.ldap-support README.mailserver ldap-scripts
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/rpcsvc/*
%{_mandir}/man?/*


%changelog

* Wed Jan 23 2013 fwang <fwang> 3.17-10.mga3
+ Revision: 391517
- disable root sbin
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.17-9.mga3
+ Revision: 380123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 luigiwalser <luigiwalser> 3.17-8.mga3
+ Revision: 285908
- call autoheader/aclocal/autoconf (needed for patch 7)
- add patch from opensuse to fix CVE-2012-3417

* Fri Apr 20 2012 barjac <barjac> 3.17-7.mga2
+ Revision: 232036
- fixed bug 3053 doc file permissions
- cleaned spec

* Sun Jan 23 2011 ennael <ennael> 3.17-6.mga1
+ Revision: 33381
- imported package quota

